%define pkg_name        Class-Mutator
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 2.n0i.4

Summary:       Dynamic polymorphism implemented in Perl
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GM/GMCCAR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Class::Mutator adds the power of "dynamic polymorphism" to Perl objects.
Any object that inherits Class::Mutator principally gains two new methods,
mutate and unmutate that allows them to add methods to themselves at
runtime from other packages. The most recently mutated packages take
precedence when methods with the same name are defined in more than one
package.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Fri Jan 30 2004 Marius FERARU <altblue@n0i.net> 0:0.04-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Oct 01 2003 Marius FERARU <altblue@n0i.net> 0.04-0.n0i
- version 0.04
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
